
Figure - Bug #116061
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT2】【设置】修改蓝牙名称时，多手指同时在弹出的键盘上按任意键盘时，键盘会消失
2023-02-08 13:50 - CD Test赵飞

Status: CLOSED Start date: 2023-02-08

Priority: Normal Due date: 2023-02-16

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302080731

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-02-13

Test Type: ST Root cause: 问题分析：��在软件盘输入内容时，如果存在多指触摸或者按压的操作，会触发多指手势，导致输入法弹框消失。��处理策略：��计划在用规避的方案，在软件盘显示进行内容输入时，对多指的手势检查逻辑进行拦截，确保不被多指手势中断输入法的输入操作。

Description

【前提条件】

1、设备已开机

【测试步骤】

1、进入设置- 已连接的设备 - 连接偏好设置 - 蓝牙 - 设备名称

2、在弹出的键盘上，多手指同时按任意键盘

【预期结果】

2、键盘上按到的字符都能被输入，键盘显示正常

【实际结果】

2、键盘会直接消失，或者输入框消失，只显示键盘，此时键盘也无法被点击

【日志】

见附件

History

#1 - 2023-02-08 15:37 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

Hi 涛哥

当手指数量大于四时，会出现这个问题

应该是触发了五指抓返回桌面的逻辑

请帮忙分析

#2 - 2023-02-08 20:08 - CD FW 曹覃刚

- Due date set to 2023-02-16

#3 - 2023-02-08 20:38 - CD FW 曹覃刚

- Assignee changed from CD FW-廖涛 to CD FW王武军
#4 - 2023-02-11 15:16 - CD FW王武军

当前状态：

确认问题，复现现象。

问题分析：

在软件盘输入内容时，如果存在多指触摸或者按压的操作，会触发多指手势，导致输入法弹框消失。

处理策略：

计划在用规避的方案，在软件盘显示进行内容输入时，对多指的手势检查逻辑进行拦截，确保不被多指手势中断输入法的输入操作。

#5 - 2023-02-11 15:58 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

181060 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:Gesture: fix inputmethod intercepted by multi-fingerWhen inputmethod working and showing，intercept themulti-finger check logic.TC-RID:

1201-0205203IssueID: TS-R-BUG-116061Change-Id: Ia5d7af088630c3776c063b3c64723b4527569bfb

#6 - 2023-02-11 16:02 - CD FW王武军

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW王武军 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-02-13

- Root cause set to 问题分析：

在软件盘输入内容时，如果存在多指触摸或者按压的操作，会触发多指手势，导致输入法弹框消失。

处理策略：

计划在用规避的方案，在软件盘显示进行内容输入时，对多指的手势检查逻辑进行拦截，确保不被多指手势中断输入法的输入操作。

#7 - 2023-02-14 10:48 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0074.X101

验证结果：PASS

#8 - 2023-02-14 10:49 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

Files

logcat.txt 3.21 MB 2023-02-08 CD Test赵飞

screen-20230208-084653.mp4 7.27 MB 2023-02-08 CD Test赵飞
